Skip to main content
PUT
/
schedule_models
/
{scheduleModel}
Schichtmodell aktualisieren
curl --request PUT \
  --url https://{tenant}.stamp.eu/rest/schedule_models/{scheduleModel} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": 0,
  "entries": [
    {
      "weekday": 4,
      "periods": [
        {
          "start": 1,
          "end": 1
        }
      ],
      "pauses": [
        {
          "start": 1,
          "end": 1
        }
      ],
      "core_times": [
        {
          "start": 1,
          "end": 1
        }
      ],
      "pause_thresholds": [
        {
          "threshold": 1,
          "duration": 1
        }
      ]
    }
  ],
  "accommodation_time": true,
  "night_begin": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "type": 0,
    "accommodation_time": true,
    "night_begin": "<string>",
    "entries": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "weekday": 4,
        "periods": [
          {
            "start": 123,
            "end": 123
          }
        ],
        "pauses": [
          {
            "start": 123,
            "end": 123
          }
        ],
        "core_times": [
          {
            "start": 123,
            "end": 123
          }
        ],
        "pause_thresholds": [
          {
            "threshold": 123,
            "duration": 123
          }
        ]
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

scheduleModel
string<uuid>
required

Body

application/json
name
string
required
Maximum string length: 255
type
enum<integer>
required
Available options:
0,
1,
2
entries
object[]
required
Minimum array length: 1
accommodation_time
boolean
night_begin
string | null
Pattern: ^\d{2}:\d{2}:\d{2}\.\d{3}$

Response

ScheduleModelResource

data
object
required